LINUX.ORG.RU

Ответ на: комментарий от JustTheUser

Package wine32 is a virtual package provided by:
winehq-staging 5.7~buster
winehq-stable 5.0.0~buster
winehq-devel 5.7~buster
You should explicitly select one to install.

E: Package 'wine32' has no installation candidate

Но вообще, из написанного там я вроде понимаю всё.

Ну да. А как же.

Artamudo ★★ ()
Ответ на: комментарий от JustTheUser
Пакет wine32 представляет собой виртуальный пакет, предоставляемый:
   Winehq-Staging 5.7 ~ Бастер
   winehq-stable 5.0.0 ~ бастер
   Winehq-Devel 5,7 ~ Бастер
Вы должны явно выбрать один для установки.
anonymous ()
Ответ на: комментарий от JustTheUser

Я правильно понимаю, что ты в Debian притащил репозитории из убунты, а стандартные удалил? Как оно у тебя ещё совсем не загнулось?!

Artamudo ★★ ()
Последнее исправление: Artamudo (всего исправлений: 1)
Ответ на: комментарий от JustTheUser

Генерируй новый. https://debgen.simplylinux.ch/

Или сразу так:

#------------------------------------------------------------------------------#
#                   OFFICIAL DEBIAN REPOS                    
#------------------------------------------------------------------------------#

###### Debian Main Repos
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian buster-backports main
deb-src http://ftp.debian.org/debian buster-backports main

#------------------------------------------------------------------------------#
#                      UNOFFICIAL  REPOS                       
#------------------------------------------------------------------------------#

###### 3rd Party Binary Repos
###Debian Multimedia
deb [arch=amd64,i386] https://www.deb-multimedia.org buster main non-free

###Google Chrome Browser
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

###Wine
deb [arch=i386] https://dl.winehq.org/wine-builds/debian/ buster main

Artamudo ★★ ()
Ответ на: комментарий от Artamudo

Изменил файл на OFICIAL DEBIAN REPOS, прописал apt-get update и попытался установить wine снова. Вот что получилось. https://pastebin.com/6pCumbhn

Перед тем, как запостить вопрос, я прописал такую команду: https://pastebin.com/98xdYjvE Так что вроде 9.

JustTheUser ()
Ответ на: комментарий от JustTheUser

Тогда вставляй вот это

###### Debian Main Repos
deb http://deb.debian.org/debian/ oldstable main contrib non-free
deb-src http://deb.debian.org/debian/ oldstable main contrib non-free

deb http://deb.debian.org/debian/ oldstable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ oldstable-updates main contrib non-free

deb http://deb.debian.org/debian-security oldstable/updates main
deb-src http://deb.debian.org/debian-security oldstable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main
Artamudo ★★ ()
Ответ на: комментарий от JustTheUser

Вместо всего того, или ниже?

Вместо.

Прописал apt-get upgrade, у меня там 2к+ пакетов требуют.

Если хочешь обновить систему до следующей версии (а именно Buster), то выполняй эти инструкции https://www.debian.org/releases/stable/amd64/release-notes/ch-upgrading.ru.html .

Только имей ввиду что может что-то отвалиться при обновлении и ты снова прибежишь сюда за помощью. В идеале бы поставить заново свежую систему.

Если пока не хочешь проблем, а просто поставить wine, то заменяй sources.list и apt update.

Artamudo ★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Вот что получилось. https://pastebin.com/f9KZyfgD К слову, видимо я чего-то сегодня намудрил и у меня теперь Д/н, а не Y/n выводится. А в какой-то момент вообще на русском текст был.

Интересно насколько он всё это вытерпит. Я вытерплю всё. Слишком хочу скачать The Neverhood. Сейчас попробую команду.

JustTheUser ()
Ответ на: комментарий от JustTheUser

Господи исусе, да что в нём сложного?

```
Некий код
в строчки
```
Некий код
в строчки

 — всё! Просто ``` на строчку выше и ниже вывода терминала. И ``` и "' — разные символы.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine32:i386 : Depends: libwine:i386 (= 1.8.7-2) but it is not going to be installed
               Recommends: wine:i386 (= 1.8.7-2)
E: Unable to correct problems, you have held broken packages.
god@debian:~$ sudo dpkg --add-architecture i386
god@debian:~$ sudo apt update
Hit:1 http://ftp.debian.org/debian stretch-backports InRelease
Ign:2 http://deb.debian.org/debian oldstable InRelease
Hit:3 http://deb.debian.org/debian oldstable-updates InRelease
Hit:4 http://deb.debian.org/debian-security oldstable/updates InRelease
Hit:5 http://deb.debian.org/debian oldstable Release
Reading package lists... Done
Building dependency tree       
Reading state information... Done
8 packages can be upgraded. Run 'apt list --upgradable' to see them.
god@debian:~$ sudo apt install wine wine32 wine64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
wine is already the newest version (4.0-2).
wine64 is already the newest version (4.0-2).
wine64 set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine32:i386 : Depends: libwine:i386 (= 1.8.7-2) but it is not going to be installed
               Recommends: wine:i386 (= 1.8.7-2)
E: Unable to correct problems, you have held broken packages.
god@debian:~$ wine
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
Usage: wine PROGRAM [ARGUMENTS...]   Run the specified program
       wine --help                   Display this help and exit
       wine --version                Output version information and exit
JustTheUser ()

Обрати внимание — sudo не нужен, привилегий пользователя хватит.

Выполни

apt list --installed > packages.txt
, у тебя в домашней директории появится файл packages.txt, выложи его куда-нибудь.

Видимо, ты зря намешал пакеты из несовместимых источников.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от mord0d

Да я просто без понятия где теорию учить. Причём так, чтобы объясняли не просто «вам часто нужно выполнять sudo apt-get update», а объясняли всё детально и на простом языке.

Вот он — Linux в руках масс. ☺

JustTheUser ()
Ответ на: комментарий от Vsevolod-linuxoid

«Нуачо, там и там deb, ничего страшного не случится!»

Вообще не понимаю тех, кто использует компьютер по большей части для игр, но зачем-то переходит на Linux. При этом хочет точно так же играть, прикладывая не больше усилий чем раньше.

mord0d ★★★ ()
Ответ на: комментарий от JustTheUser

Да я просто без понятия где теорию учить.

На официальной Wiki дистрибутива для начала.

Когда начнёшь различать специфичное для дистрибутива — можно на Arch Wiki переключиться, информации там больше, расписана она детально, нужно учитывать только именование пакетов и различия в зависимостях.

mord0d ★★★ ()